Issue 113134 - MailMerge sending as mail, produces empty mail bodies
Summary: MailMerge sending as mail, produces empty mail bodies
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m84
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: dtardon
QA Contact: issues@sw
URL:
Keywords: regression
Depends on:
Blocks: 112263
  Show dependency tree
 
Reported: 2010-07-14 08:40 UTC by cno
Modified: 2013-08-07 14:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to fix this (711 bytes, patch)
2010-07-14 10:01 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description cno 2010-07-14 08:40:15 UTC
- type some text in writer document
- open data browser and drag some fields from ODS, inclusing one with mail address
(- save document)
- Tools Wizard > Step 8
- Send as e-mail etc.
  (tested with sending as plain text and html)

 > Mails are sent correctly
   Merged documents shown correctly on the screen
   But the body of the mail is empty, no text
Comment 1 cno 2010-07-14 08:41:50 UTC
Did send test mail on 9:12 with title
"mail merge from m84 (send as plain text mail) produces mail with empty bodies"
to mru and cmc
Comment 2 caolanm 2010-07-14 09:58:10 UTC
I see it, its a mixup on tabs vs spaces in indentation in mailmerge.py
Comment 3 caolanm 2010-07-14 10:01:59 UTC
Created attachment 70609 [details]
patch to fix this
Comment 4 caolanm 2010-07-14 10:08:00 UTC
see if I can get this approved for a 3.3 fix
Comment 5 cno 2010-07-14 10:43:16 UTC
thanks Caolan!
I will write to release @ to nominate as (beta) stopper.
Comment 6 cno 2010-07-14 10:44:20 UTC
(ah, see you already did)
Comment 7 caolanm 2010-07-15 16:12:23 UTC
done in emailmerge33fix.
Comment 8 caolanm 2010-07-16 08:40:35 UTC
http://hg.services.openoffice.org/cws/emailmerge33fix/rev/1be15ad70722

reassigning for qaing
Comment 9 dtardon 2010-07-18 08:38:47 UTC
verified
Comment 10 dtardon 2010-09-22 09:25:30 UTC
integrated in OOO330_m2 and DEV300_m86